Summary:	USB network redirection protocol libraries
Summary(pl.UTF-8):	Biblioteki protokołu przekierowania USB przez sieć
Name:		usbredir
Version:	0.14.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://www.spice-space.org/download/usbredir/%{name}-%{version}.tar.xz
# Source0-md5:	68f232c87c086a25c13fc71ddbdc28a5
URL:		https://www.spice-space.org/usbredir.html
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	libusb-devel >= 1.0.19
BuildRequires:	meson >= 0.53
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.44
Requires:	libusb >= 1.0.19
Obsoletes:	usbredir-server < 0.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
usbredir is a protocol for redirection USB traffic from a single USB
device, to a different (virtual) machine then the one to which the USB
device is attached. This package contains a number of libraries to
help implementing support for usbredir:

usbredirparser: A library containing the parser for the usbredir
protocol

usbredirhost: A library implementing the usb-host side of a usbredir
connection. All that an application wishing to implement an usb-host
needs to do is:
- Provide a libusb device handle for the device
- Provide write and read callbacks for the actual transport of
  usbredir data
- Monitor for usbredir and libusb read/write events and call their
  handlers

%description -l pl.UTF-8
usbredir to protokół pozwalający przekierować ruch USB z pojedynczego
urządzenia USB na inną (wirtualną) maszynę, a następnie na taką, do
której urządzenie USB jest podłączone. Ten pakiet zawiera biblioteki
pomagające przy implementacji usbredir:

usbredirparser - biblioteka zawierająca analizator protokołu usbredir

usbredirhost - biblioteka implementująca stronę hosta USB połączenia
usbredir. Wszystko, co musi zrobić aplikacja chcąca implementować
host USB, to:
- zapewnienie uchwytu libusb dla urządzenia USB
- zapewnienie wywołań zapisu i odczytu dla transportu danych usbredir
- monitorowanie zdarzeń odczytu/zapisu usbredir oraz libusb i
  wywoływanie ich procedur obsługi.

%package devel
Summary:	Development files for usbredir
Summary(pl.UTF-8):	Pliki programistyczne usbredir
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-devel >= 1.0.19

%description devel
This package contains the header files for developing applications
that use usbredir.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących usbredir.

%package static
Summary:	Static usbredir libraries
Summary(pl.UTF-8):	Statyczne biblioteki usbredir
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static usbredir libraries.

%description static -l pl.UTF-8
Statyczne biblioteki usbredir.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog.md README.md TODO
%attr(755,root,root) %{_bindir}/usbredirect
%attr(755,root,root) %{_libdir}/libusbredirhost.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusbredirhost.so.1
%attr(755,root,root) %{_libdir}/libusbredirparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusbredirparser.so.1
%{_mandir}/man1/usbredirect.1*

%files devel
%defattr(644,root,root,755)
%doc docs/*.md
%attr(755,root,root) %{_libdir}/libusbredirhost.so
%attr(755,root,root) %{_libdir}/libusbredirparser.so
%{_includedir}/usbredirfilter.h
%{_includedir}/usbredirhost.h
%{_includedir}/usbredirparser.h
%{_includedir}/usbredirproto.h
%{_pkgconfigdir}/libusbredirhost.pc
%{_pkgconfigdir}/libusbredirparser-0.5.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libusbredirhost.a
%{_libdir}/libusbredirparser.a
%changelog
* Mon Mar 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/usbredir.git;a=log;h=master

* Mon Mar 25 2024 Jakub Bogusz <qboosh@pld-linux.org> b09dbd4
- updated to 0.14.0

* Thu May 18 2023 Jakub Bogusz <qboosh@pld-linux.org> e12ad65
- updated to 0.13.0; usbredirserver is gone (obsoleted by usbredirect)

* Tue Dec 07 2021 Jakub Bogusz <qboosh@pld-linux.org> d801beb
- updated to 0.12.0, now uses meson

* Sat May 16 2020 Jakub Bogusz <qboosh@pld-linux.org> b8a4e07
- updated URLs

* Thu Nov 01 2018 Jan Palus <atler@pld-linux.org> e313744
- up to 0.8.0

* Tue Nov 03 2015 Jakub Bogusz <qboosh@pld-linux.org> d9b0139
- updated to 0.7.1
- require libusb 1.0.19+ for bulk streams support in usbredirhost

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 9cfe3d5
- x32 rebuild
- release 2 (by relup.sh)

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 1b448fe
- updated to 0.7

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 855b60b
- updated to 0.6

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 8ae8985
- updated to 0.5.2

* Wed Sep 19 2012 Jakub Bogusz <qboosh@pld-linux.org> e6bef50
- updated to 0.5.1

* Sat Sep 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 4b97d7e
- updated to 0.5 (note: new libusbredirparser soname)

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 719d31f
- updated to 0.4.3

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 762460d
- updated to 0.4.2

* Sun Feb 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 0fd6d11
- updated to 0.4.1 (bugfix release)

* Fri Feb 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 627ba0e
- updated to 0.4

* Sat Jan 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 89d97ec
- updated to 0.3.3

* Thu Jan 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 0829445
- updated to 0.3.2

* Thu Jan 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 30aff6b
- pl
- new Source URL

* Tue Nov 01 2011 Elan Ruusamäe <glen@pld-linux.org> 3aa645d
- pass CC, verbose files

